#include <iostream>
#include <stdio.h> 
using namespace std;

int main()
{
    int x1, y1;
    cin >> x1 >> y1;
    int x2, y2;
    cin >> x2 >> y2;

    if (abs(x2-x1)==abs(y2-y1)){
        cout << 1 << endl;
    }
    else if(x1 == x2 || y1 == y2) {
        cout << 2 << endl;
    }
    else{
        cout << 0 << endl;
    }
    return 0;
}